Bug 84851 - joystick driver requires a button to detect
joystick driver requires a button to detect
Product: Red Hat Linux
Classification: Retired
Component: joystick (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-02-21 22:08 EST by corey
Modified: 2015-01-04 17:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-27 18:24:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description corey 2003-02-21 22:08:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 

Description of problem:
The joystick driver, generic, found in joydev.c (/drivers/input/joydev.c) looks 
for both axis and button in the connect function before it accepts the device.

Many joysticks, OEM and Pedals, do not have buttons and some have even resorted 
to putting fake button circuits on the chip which mess things up sometimes.

I made a personal fix for this, but it seems to be a large need as a whole.  I 
used a usb joystick for this project.

Applied Research Associates

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. modprobe joydev
2. cat /dev/input/js0

Actual Results:  device not found

Expected Results:  opens and displays characters from joystick device.

Additional info:

This exists on the joystick driver included in the lastest kernels.
Comment 1 corey 2004-11-27 18:42:15 EST
I'm fairly certain the 2.6 joystick drivers were redone anyway.  I doubt the
same kind of situation exists.


Note You need to log in before you can comment on or make changes to this bug.